diff --git a/kionix-work/Kconfig b/kionix-work/Kconfig
index e804cbc..67c22df 100644
--- a/kionix-work/Kconfig
+++ b/kionix-work/Kconfig
@@ -5,4 +5,6 @@
 # as the module Kconfig entry point (see zephyr/module.yml). You can browse
 # module options by going to Zephyr -> Modules in Kconfig.
 
+menu "Kionix driver"
 rsource "drivers/Kconfig"
+endmenu
diff --git a/kionix-work/app/Kconfig b/kionix-work/app/Kconfig
index 5370915..2c47e34 100644
--- a/kionix-work/app/Kconfig
+++ b/kionix-work/app/Kconfig
@@ -6,6 +6,10 @@
 # You can browse these options using the west targets menuconfig (terminal) or
 # guiconfig (GUI).
 
+menu "Driver example"
+rsource "../drivers/Kconfig"
+endmenu
+
 menu "Zephyr"
 source "Kconfig.zephyr"
 endmenu
diff --git a/kionix-work/app/board/sparkfun_thing_plus_nrf9160.overlay b/kionix-work/app/boards/nrf9160dk_nrf9160.overlay
similarity index 100%
rename from kionix-work/app/board/sparkfun_thing_plus_nrf9160.overlay
rename to kionix-work/app/boards/nrf9160dk_nrf9160.overlay
diff --git a/kionix-work/app/boards/nrf9160dk_nrf9160ns.overlay b/kionix-work/app/boards/nrf9160dk_nrf9160ns.overlay
new file mode 100644
index 0000000..70ebdda
--- /dev/null
+++ b/kionix-work/app/boards/nrf9160dk_nrf9160ns.overlay
@@ -0,0 +1,17 @@
+/*
+ *  https://community.jaredwolff.com/d/73-accelerometer-example-failing-to-compile-on-feather-v2/2
+ *  https://www.youtube.com/watch?v=sWaxQyIgEBY  --- Device Tree Deep Dive
+ */
+
+&i2c1 {
+        compatible = "nordic,nrf-twim";
+        status = "okay";
+        sda-pin = <26>;
+        scl-pin = <27>;
+        kionix_sensor: kx132-1211@1f {
+                compatible = "kionix,kx132-1211"; 
+                reg = <0x1F>;
+                label = "KX132-1211";
+        };  
+};
+
diff --git a/kionix-work/app/boards/sparkfun_thing_plus_nrf9160.overlay b/kionix-work/app/boards/sparkfun_thing_plus_nrf9160.overlay
new file mode 100644
index 0000000..70ebdda
--- /dev/null
+++ b/kionix-work/app/boards/sparkfun_thing_plus_nrf9160.overlay
@@ -0,0 +1,17 @@
+/*
+ *  https://community.jaredwolff.com/d/73-accelerometer-example-failing-to-compile-on-feather-v2/2
+ *  https://www.youtube.com/watch?v=sWaxQyIgEBY  --- Device Tree Deep Dive
+ */
+
+&i2c1 {
+        compatible = "nordic,nrf-twim";
+        status = "okay";
+        sda-pin = <26>;
+        scl-pin = <27>;
+        kionix_sensor: kx132-1211@1f {
+                compatible = "kionix,kx132-1211"; 
+                reg = <0x1F>;
+                label = "KX132-1211";
+        };  
+};
+
diff --git a/kionix-work/app/prj.conf b/kionix-work/app/prj.conf
index 5ff7215..6840bc4 100644
--- a/kionix-work/app/prj.conf
+++ b/kionix-work/app/prj.conf
@@ -13,4 +13,4 @@ CONFIG_SENSOR=y
 CONFIG_BOOTLOADER_MCUBOOT=y
 
 ## 2021-08-17 adding configuration flag to enable Kionix driver under CP IIoT development:
-#CONFIG_KX132_1211=y
+CONFIG_KX132_1211=y
diff --git a/kionix-work/drivers/Kconfig b/kionix-work/drivers/Kconfig
index 6b8bd19..de81059 100644
--- a/kionix-work/drivers/Kconfig
+++ b/kionix-work/drivers/Kconfig
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: Apache-2.0
 
-menu "Drivers Kionix"
+menu "Kionix driver"
 rsource "kionix/Kconfig"
 endmenu
diff --git a/kionix-work/drivers/kionix/Kconfig b/kionix-work/drivers/kionix/Kconfig
index c0f6709..fd2ad86 100644
--- a/kionix-work/drivers/kionix/Kconfig
+++ b/kionix-work/drivers/kionix/Kconfig
@@ -1,5 +1,7 @@
 # SPDX-License-Identifier: Apache-2.0
 
 #if KIONIX
+menu "Kionix 1211"
 rsource "kx132-1211/Kconfig"
+endmenu
 #endif # KIONIX
